> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rubic.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get allowance

> This endpoint retrieves the current allowance value for an ERC-20 token on the specified blockchain. It is typically used before calling the approve endpoint to decide whether additional approval is needed.



## OpenAPI

````yaml https://api-v2.rubic.exchange/api/routes/swagger-json get /api/utility/allowance
openapi: 3.0.0
info:
  title: Rubic API
  description: The Rubic API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api-v2.rubic.exchange
    description: Production
security: []
tags: []
paths:
  /api/utility/allowance:
    get:
      tags:
        - Utility
      summary: Get allowance
      description: >-
        This endpoint retrieves the current allowance value for an ERC-20 token
        on the specified blockchain. It is typically used before calling the
        approve endpoint to decide whether additional approval is needed.
      operationId: UtilsController_getAllowance
      parameters:
        - name: blockchain
          required: true
          in: query
          description: Blockchain name
          schema:
            enum:
              - MUMBAI
              - BSCT
              - GOERLI
              - FUJI
              - SCROLL_SEPOLIA
              - ARTHERA
              - SEPOLIA
              - BERACHAIN_TESTNET
              - BLAST_TESTNET
              - HOLESKY
              - UNICHAIN_SEPOLIA_TESTNET
              - ETH
              - BSC
              - POLYGON
              - POLYGON_ZKEVM
              - AVALANCHE
              - MOONRIVER
              - FANTOM
              - HARMONY
              - ARBITRUM
              - AURORA
              - TELOS
              - OPTIMISM
              - CRONOS
              - OKX
              - GNOSIS
              - FUSE
              - MOONBEAM
              - CELO
              - BOBA
              - BOBA_BSC
              - ASTAR_EVM
              - KAVA
              - BITGERT
              - OASIS
              - METIS
              - DEFIKINGDOMS
              - KLAYTN
              - VELAS
              - SYSCOIN
              - ETHEREUM_CLASSIC
              - FLARE
              - IOTEX
              - THETA
              - ZK_SYNC
              - PULSECHAIN
              - LINEA
              - BASE
              - MANTLE
              - MANTA_PACIFIC
              - SCROLL
              - ZETACHAIN
              - BLAST
              - HORIZEN_EON
              - MERLIN
              - ROOTSTOCK
              - MODE
              - ZK_FAIR
              - ZK_LINK
              - XLAYER
              - TAIKO
              - SEI
              - CORE
              - BAHAMUT
              - BITLAYER
              - GRAVITY
              - FRAXTAL
              - BERACHAIN
              - SONEIUM
              - UNICHAIN
              - MORPH
              - HEMI
              - PLASMA
              - MONAD
              - HYPER_EVM
              - MEGAETH
              - BITCOIN_CASH
              - NEAR
              - ICP
              - CARDANO
              - AION
              - ALGORAND
              - APTOS
              - ARDOR
              - ARK
              - ASTAR
              - COSMOS
              - BAND_PROTOCOL
              - BITCOIN_DIAMOND
              - BSV
              - BITCOIN_GOLD
              - CASPER
              - DASH
              - DECRED
              - DIGI_BYTE
              - DIVI
              - DOGECOIN
              - POLKADOT
              - MULTIVERS_X
              - FIO_PROTOCOL
              - FIRO
              - FLOW
              - HEDERA
              - HELIUM
              - ICON
              - IOST
              - IOTA
              - KADENA
              - KOMODO
              - KUSAMA
              - LISK
              - LITECOIN
              - TERRA
              - TERRA_CLASSIC
              - MINA_PROTOCOL
              - NANO
              - NEO
              - OSMOSIS
              - PIVX
              - POLYX
              - QTUM
              - THOR_CHAIN
              - RAVENCOIN
              - SIA
              - SECRET
              - STEEM
              - STRATIS
              - STACKS
              - SOLAR
              - VE_CHAIN
              - WAVES
              - WAX
              - DX_CHAIN
              - E_CASH
              - NEM
              - STELLAR
              - MONERO
              - RIPPLE
              - TEZOS
              - VERGE
              - SYMBOL
              - ZCASH
              - HORIZEN
              - ZILLIQA
              - KAVA_COSMOS
              - FILECOIN
              - EOS
              - ONTOLOGY
              - XDC
              - STARKNET
              - TON
              - SOLANA
              - BITCOIN
              - TRON
              - SUI
            type: string
        - name: tokenAddress
          required: true
          in: query
          description: Address of ERC20 token
          schema:
            type: string
        - name: walletAddress
          required: true
          in: query
          description: Owner wallet address
          schema:
            type: string
        - name: spenderAddress
          required: true
          in: query
          description: Address of spender contract
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowanceResponseDto'
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AllowanceResponseDto'
components:
  schemas:
    AllowanceResponseDto:
      type: object
      properties:
        allowance:
          type: string
          description: allowance in wei amount
      required:
        - allowance

````